var collisionCount = 0;
var dna: Array;
var distanceToGoal: float;

//maintain own version of the grid
//so bot can remember where it has been
private var gridSize: int;
private var myGridMemory: int[];

/*action codes
0 - forward 1
1 - turn left move 1
2 - turn right move 1
3 - turn around move 1
*/

function Awake()
{
	gridSize = Camera.main.GetComponent("createMaze").getSize();
	myGridMemory = new int[gridSize];
	
	//fill dna with random action codes
	dna = new Array(64);
	for(var i = 0; i < 64; i++)
	{
		dna[i] = Random.Range(0,4);	
	}
}

function OnCollisionEnter(collision: Collision)
{
	if(collision.gameObject.tag == "ground") return; //ignore hitting the ground
	collisionCount++;
}

function visited(x: int, z: int)
{
	myGridMemory[x + z * Camera.main.GetComponent("createMaze").getWidth()] = 1;	
}

function wasVisited(pos: Vector3)
{
	return 	myGridMemory[pos.x + pos.z * Camera.main.GetComponent("createMaze").getWidth()];
}

function countVisited()
{
	var count = 0;
	for(var i = 0; i < gridSize; i++)
	{
		if(myGridMemory[i])
			count++;
	}	
	return count;
}

function Update () 
{
}